#ifndef HTTP_CLIENT_H
#define HTTP_CLIENT_H

///HTTP client results
enum HTTPResult
{
  HTTP_PROCESSING, ///<Processing
  HTTP_PARSE, ///<url Parse error
  HTTP_DNS, ///<Could not resolve name
  HTTP_PRTCL, ///<Protocol error
  HTTP_NOTFOUND, ///<HTTP 404 Error
  HTTP_REFUSED, ///<HTTP 403 Error
  HTTP_ERROR, ///<HTTP xxx error
  HTTP_TIMEOUT, ///<Connection timeout
  HTTP_CONN, ///<Connection error
  HTTP_CLOSED, ///<Connection was closed by remote host
  HTTP_OK = 0, ///<Success
};

enum HTTP_METH
  {
    HTTP_GET,
    HTTP_POST,
    HTTP_PUT,
    HTTP_DELETE,
    HTTP_HEAD
  } ;

#define HTTP_CLIENT_DEFAULT_TIMEOUT 10

class HTTPClient
{
public:
    ///Instantiate the HTTP client
    HTTPClient();
//    HTTPResult get(const char* url, IHTTPDataIn* pDataIn, int timeout = HTTP_CLIENT_DEFAULT_TIMEOUT); //Blocking
    HTTPResult get(const char* url, char* result, int maxResultLen, int timeout = HTTP_CLIENT_DEFAULT_TIMEOUT); //Blocking
    HTTPResult post(const char* url, const char *dataOut, char *pDataIn, int timeout = HTTP_CLIENT_DEFAULT_TIMEOUT); //Blocking

private:


};


#endif
